org.keycloak.models

## Interface RealmProvider

- All Superinterfaces:
    Provider
  All Known Subinterfaces:
    CacheRealmProvider
  All Known Implementing Classes:
    DefaultCacheRealmProvider, JpaRealmProvider, MongoRealmProvider, NoCacheRealmProvider

      public interface RealmProvider
      extends Provider

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `RealmModel` | `createRealm(String name)`
    `RealmModel` | `createRealm(String id, String name)`
    `ApplicationModel` | `getApplicationById(String id, RealmModel realm)`
    `OAuthClientModel` | `getOAuthClientById(String id, RealmModel realm)`
    `RealmModel` | `getRealm(String id)`
    `RealmModel` | `getRealmByName(String name)`
    `List<RealmModel>` | `getRealms()`
    `RoleModel` | `getRoleById(String id, RealmModel realm)`
    `boolean` | `removeRealm(String id)`

- - ### Method Detail

    - #### createRealm

          RealmModel createRealm(String name)

    - #### createRealm

          RealmModel createRealm(String id,
                               String name)

    - #### getRealm

          RealmModel getRealm(String id)

    - #### getRealmByName

          RealmModel getRealmByName(String name)

    - #### getRoleById

          RoleModel getRoleById(String id,
                              RealmModel realm)

    - #### getApplicationById

          ApplicationModel getApplicationById(String id,
                                            RealmModel realm)

    - #### getOAuthClientById

          OAuthClientModel getOAuthClientById(String id,
                                            RealmModel realm)

    - #### getRealms

          List<RealmModel> getRealms()

    - #### removeRealm

          boolean removeRealm(String id)

    - #### close

          void close()

      Specified by:
        `close` in interface `Provider`

Copyright © 2015. All Rights Reserved.